/* 
 Теоретичні питання
 1. Що таке цикл в програмуванні?
 2. Які види циклів є в JavaScript і які їх ключові слова?
 3. Чим відрізняється цикл do while від while?

 Практичні завдання
 1. Запитайте у користувача два числа. Перевірте, чи є кожне з введених значень числом. Якщо ні, то запитуйте у користувача нове занчення до тих пір, поки воно не буде числом. Виведіть на екран всі числа від меншого до більшого за допомогою циклу for. 

 2. Напишіть програму, яка запитує в користувача число та перевіряє, 
 чи воно є парним числом. Якщо введене значення не є парним числом, 
 то запитуйте число доки користувач не введе правильне значення.
*/

/* 

// теория

1) Цикл это программа которая может быть выполнена нужное количество раз, чтобы не прописывать однотипный код.
2) Цикл for, цикл while, цикл do while
3) Их отличие в том что цикл do while будет выполнен хотябы один раз и только после смотрит на условие заданое программе.

*/

// практика

// 1 

let firstNum = prompt('enter first num', '');

while(isNaN(firstNum)) {
    firstNum = prompt('enter first num', '');
}

let secondNum = prompt('enter second num', '');

while(isNaN(secondNum)) {
    secondNum = prompt('enter second num', '');
}

let min = Math.min(firstNum, secondNum);

let max = Math.max(firstNum, secondNum);

for (let i = min; i <= max; i++) {
    alert(i)
}


// 2

let num = prompt('enter double number');

while(num % 2 !== 0) {
    num = prompt('please enter double number');
}